package de.ozgcloud.nachrichten.antragraum;

import java.util.List;
import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

public class GrpcRueckfrageAnswerTestFactory {
	static final String RUECKFRAGE_ID = UUID.randomUUID().toString();
	static final String TEXT = LoremIpsum.getInstance().getParagraphs(2, 4);
	static final List<String> ATTACHMENT_ID_LIST = List.of(UUID.randomUUID().toString());

	static GrpcRueckfrageAnswer create() {
		return createBuilder().build();
	}

	static GrpcRueckfrageAnswer.Builder createBuilder() {
		return GrpcRueckfrageAnswer.newBuilder()
				.setRueckfrageId(RUECKFRAGE_ID)
				.setAnswerText(TEXT)
				.addAllAttachmentFileId(ATTACHMENT_ID_LIST);
	}
}
